# 32/64bit spec-file
#
%define __libtoolize    /bin/true

%define url_ver %(echo %{version} | cut -c 1-3)
%define major 0
%define api 1
%define libname %mklibname %{name} %{api} %{major}
%define develname %mklibname %{name} -d

Summary: 	A thumbnail D-Bus service
Summary(de):	Ein Vorschaubild D-Bus Service
Name: 		tumbler
Version: 	0.2.0
Release: 	%mkrel 1
License:	GPLv2+
Group: 		Graphical desktop/Xfce
URL:		http://git.xfce.org/apps/tumbler
Source0: 	http://archive.xfce.org/src/apps/tumbler/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	intltool
BuildRequires:	freetype2-devel
BuildRequires:	xfce4-dev-tools
#---fixed this for 64bit--------------------
BuildRequires:	%{_lib}ffmpegthumbnailer4
#-----------------------------------------
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}curl-devel
BuildRequires: %{_lib}dbus-1-devel
BuildRequires: %{_lib}dbus-glib-1_2-devel
BuildRequires: %{_lib}ffmpegthumbnailer-devel
BuildRequires: %{_lib}freetype6-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gsf-1_114-devel
BuildRequires: %{_lib}gstreamer-plugins-base1.0-devel
BuildRequires: %{_lib}gstreamer1.0-devel
BuildRequires: %{_lib}jpeg-devel
BuildRequires: %{_lib}openraw-devel
BuildRequires: %{_lib}png-devel
BuildRequires: %{_lib}poppler-glib-devel
BuildRequires: %{_lib}xml2-devel
#-----------------------------------------------------
Requires:	%{libname} = %{version}-%{release}
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot

%description
Tumbler is a D-Bus service for applications to request 
thumbnails for various URI schemes and MIME types.
It is an implementation of the thumbnail management D-Bus 
specification.

%description -l de
Tumbler ist ein D-Bus Service für Programme zum Erfragen von
Vorschaubildern für verschiedene URI Schemata und MIME-Typen.
Es ist eine Implementierung der D-Bus Vorschaubildverwaltungs-
spezifikation.

%package -n %{libname}
Summary:	A D-bus thumbnailing framework
Summary(de):	Ein d-Bus Thumbnailing framework
Group:		System/Libraries

%description -n %{libname}
Tumbler is a D-Bus service for applications to request 
thumbnails for various URI schemes and MIME types.

%description -n %{libname} -l de
umbler ist ein D-Bus Service für Programme zum Erfragen von
Vorschaubildern für verschiedene URI Schemata und MIME-Typen.

%package -n %{develname}
Summary:	Development files for %{name}
Summary(de):	Entwicklerdateien für %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files and headers for %{name}.

%description -n %{develname} -l de
Entwicklerdateien und Header für %{name}

%prep
%setup -q

%build
#./autogen.sh
%configure2_5x --disable-static --enable-gtk-doc

%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -rf %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS README TODO
%{_libdir}/tumbler-1/%{name}d
%{_libdir}/tumbler-1/plugins
%{_datadir}/dbus-1/services/*.service
%{_datadir}/locale/*
%{_sysconfdir}/xdg/%{name}/%{name}.rc

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*%{name}-%{api}.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%dir %{_includedir}/%{name}-%{api}
%dir %{_includedir}/%{name}-%{api}/%{name}
%{_libdir}/*%{name}-%{api}.so
%{_includedir}/%{name}-%{api}/%{name}/*.h
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_datadir}/gtk-doc/html/%{name}


%changelog
* Thu May 24 2018 adrianomorselli <adrianomorselli> 0.2.0-1uplos2018
- update
